using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 信息区域隶属角色关系表
    /// </summary>
    [Description("信息区域隶属角色关系表")]
	[Redis("")]
	[IgnoreT4]public class T_FM_PANEL_BELONG_ROLE : MesEntityBase
	{
        /// <summary>信息区域ID</summary>
        [Description("顺序")]
        public int NUM { get; set; }
        /// <summary>信息区域ID</summary>
        [Description("PANEL_ID")]
		public Guid PANEL_ID { get; set; }


		/// <summary>所属角色ID</summary>
		[Description("所属角色ID")]
		public Guid BELONG_ROLE_ID { get; set; }


		/// <summary>导航：用户</summary>
		[Description("导航：区域信息表")]
		public virtual T_FM_PANEL Nav_Panel { get; set; }


		/// <summary>导航：所属角色</summary>
		[Description("导航：所属角色")]
		public virtual T_FM_ROLE Nav_BelongRole { get; set; }
	}
}
